2

i am trying to use this tutorial, but i am stuck in step 1(airmon-ng start wlan0) which returns

Requested device "wlan0" does not exist.
Run /usr/sbin/airmon-ng without any arguments to see available interfaces

and iwconfig returns

dummy0    no wireless extensions.

bond0     no wireless extensions.

sit0      no wireless extensions.

lo        no wireless extensions.

eth0      no wireless extensions.

also ifconfig

 eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 172.17.144.139  netmask 255.255.255.240  broadcast 172.17.144.143
        inet6 fe80::215:5dff:fe6c:61a1  prefixlen 64  scopeid 0x20<link>
        ether 00:15:5d:6c:61:a1  txqueuelen 1000  (Ethernet)
        RX packets 6588  bytes 8676738 (8.2 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 2138  bytes 132368 (129.2 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

i installed aircrack by using sudo apt-get install aircrack-ng

running apt list --installed gives me

    Listing... Done
adduser/kali-rolling,now 3.118 all [installed]
aircrack-ng/kali-rolling,now 1:1.6+git20200821.87bf5727-1 amd64 [installed]
apt-utils/kali-rolling,now 2.1.10 amd64 [installed]
apt/kali-rolling,now 2.1.10 amd64 [installed]
autoconf/kali-rolling,now 2.69-11.1 all [installed,automatic]
automake/kali-rolling,now 1:1.16.2-4 all [installed,automatic]
autopoint/kali-rolling,now 0.19.8.1-10 all [installed,automatic]
autotools-dev/kali-rolling,now 20180224.1 all [installed,automatic]
base-files/kali-rolling,now 1:2020.3.1 amd64 [installed]
base-passwd/kali-rolling,now 3.5.47 amd64 [installed]
bash/kali-rolling,now 5.0-7 amd64 [installed]
bind9-dnsutils/kali-rolling,now 1:9.16.6-3 amd64 [installed,automatic]
bind9-host/kali-rolling,now 1:9.16.6-3 amd64 [installed]
bind9-libs/kali-rolling,now 1:9.16.6-3 amd64 [installed,automatic]
binutils-common/kali-rolling,now 2.35-3 amd64 [installed,automatic]
binutils-x86-64-linux-gnu/kali-rolling,now 2.35-3 amd64 [installed,automatic]
binutils/kali-rolling,now 2.35-3 amd64 [installed,automatic]
bsdextrautils/kali-rolling,now 2.36-3+b1 amd64 [installed,automatic]
bsdmainutils/kali-rolling,now 12.1.7 all [installed]
bsdutils/kali-rolling,now 1:2.36-3+b1 amd64 [installed]
build-essential/kali-rolling,now 12.8 amd64 [installed,automatic]
bzip2/kali-rolling,now 1.0.8-4 amd64 [installed,automatic]
ca-certificates/kali-rolling,now 20200601 all [installed,automatic]
calendar/kali-rolling,now 12.1.7 amd64 [installed,automatic]
coreutils/kali-rolling,now 8.30-3+b1 amd64 [installed]
cpio/kali-rolling,now 2.13+dfsg-4 amd64 [installed]
cpp-10/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
cpp/kali-rolling,now 4:10.1.0-1 amd64 [installed,automatic]
crda/kali-rolling,now 4.14+git20191112.9856751-1 amd64 [installed,automatic]
cron/kali-rolling,now 3.0pl1-136 amd64 [installed]
curl/kali-rolling,now 7.72.0-1 amd64 [installed]
dash/kali-rolling,now 0.5.10.2-7 amd64 [installed]
dbus/kali-rolling,now 1.12.20-1 amd64 [installed,automatic]
debconf-i18n/kali-rolling,now 1.5.74 all [installed]
debconf/kali-rolling,now 1.5.74 all [installed]
debian-archive-keyring/kali-rolling,now 2019.1 all [installed]
debianutils/kali-rolling,now 4.9.1 amd64 [installed]
dh-strip-nondeterminism/kali-rolling,now 1.9.0-1 all [installed,auto-removable]
diffutils/kali-rolling,now 1:3.7-3 amd64 [installed]
dirmngr/kali-rolling,now 2.2.20-1 amd64 [installed,automatic]
dmidecode/kali-rolling,now 3.2-4 amd64 [installed]
dmsetup/kali-rolling,now 2:1.02.171-3 amd64 [installed]
dnsutils/kali-rolling,now 1:9.16.6-3 all [installed]
dpkg-dev/kali-rolling,now 1.20.5kali2 all [installed,automatic]
dpkg/kali-rolling,now 1.20.5kali2 amd64 [installed]
dwz/kali-rolling,now 0.13-5 amd64 [installed,auto-removable]
e2fsprogs/kali-rolling,now 1.45.6-1 amd64 [installed]
ethtool/kali-rolling,now 1:5.8-1 amd64 [installed,automatic]
fakeroot/kali-rolling,now 1.24-1 amd64 [installed,automatic]
fdisk/kali-rolling,now 2.36-3+b1 amd64 [installed]
file/kali-rolling,now 1:5.38-5 amd64 [installed,automatic]
findutils/kali-rolling,now 4.7.0-1 amd64 [installed]
fontconfig-config/kali-rolling,now 2.13.1-4.2 all [installed,automatic]
fonts-dejavu-core/kali-rolling,now 2.37-2 all [installed,automatic]
g++-10/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
g++/kali-rolling,now 4:10.1.0-1 amd64 [installed,automatic]
gcc-10-base/kali-rolling,now 10.2.0-7 amd64 [installed]
gcc-10/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
gcc-9-base/kali-rolling,now 9.3.0-18 amd64 [installed]
gcc/kali-rolling,now 4:10.1.0-1 amd64 [installed,automatic]
gettext-base/kali-rolling,now 0.19.8.1-10 amd64 [installed,automatic]
gettext/kali-rolling,now 0.19.8.1-10 amd64 [installed,automatic]
git-man/kali-rolling,now 1:2.28.0-1 all [installed,automatic]
git/kali-rolling,now 1:2.28.0-1 amd64 [installed]
gnupg-l10n/kali-rolling,now 2.2.20-1 all [installed,automatic]
gnupg-utils/kali-rolling,now 2.2.20-1 amd64 [installed,automatic]
gnupg/kali-rolling,now 2.2.20-1 all [installed,automatic]
gpg-agent/kali-rolling,now 2.2.20-1 amd64 [installed,automatic]
gpg-wks-client/kali-rolling,now 2.2.20-1 amd64 [installed,automatic]
gpg-wks-server/kali-rolling,now 2.2.20-1 amd64 [installed,automatic]
gpg/kali-rolling,now 2.2.20-1 amd64 [installed,automatic]
gpgconf/kali-rolling,now 2.2.20-1 amd64 [installed,automatic]
gpgsm/kali-rolling,now 2.2.20-1 amd64 [installed,automatic]
gpgv/kali-rolling,now 2.2.20-1 amd64 [installed]
grep/kali-rolling,now 3.4-1 amd64 [installed]
groff-base/kali-rolling,now 1.22.4-5 amd64 [installed,automatic]
gzip/kali-rolling,now 1.10-2 amd64 [installed]
hostname/kali-rolling,now 3.23 amd64 [installed]
hwloc/kali-rolling,now 2.2.0+dfsg-4 amd64 [installed,automatic]
ieee-data/kali-rolling,now 20180805.1 all [installed,automatic]
ifupdown/kali-rolling,now 0.8.35+b1 amd64 [installed]
init-system-helpers/kali-rolling,now 1.58+kali1 all [installed]
init/kali-rolling,now 1.58+kali1 amd64 [installed]
intltool-debian/kali-rolling,now 0.35.0+20060710.5 all [installed,auto-removable]
iproute2/kali-rolling,now 5.8.0-1 amd64 [installed]
iptables/kali-rolling,now 1.8.5-3 amd64 [installed]
iputils-ping/kali-rolling,now 3:20200821-2 amd64 [installed]
isc-dhcp-client/kali-rolling,now 4.4.1-2.1+b2 amd64 [installed]
isc-dhcp-common/kali-rolling,now 4.4.1-2.1+b2 amd64 [installed]
iw/kali-rolling,now 5.8-1 amd64 [installed,automatic]
kali-archive-keyring/kali-rolling,now 2020.2 all [installed]
kmod/kali-rolling,now 27+20200310-2 amd64 [installed]
krb5-locales/kali-rolling,now 1.17-10 all [installed,automatic]
less/kali-rolling,now 551-2 amd64 [installed]
libacl1/kali-rolling,now 2.2.53-8 amd64 [installed]
libalgorithm-diff-perl/kali-rolling,now 1.19.03-2 all [installed,automatic]
libalgorithm-diff-xs-perl/kali-rolling,now 0.04-6 amd64 [installed,automatic]
libalgorithm-merge-perl/kali-rolling,now 0.08-3 all [installed,automatic]
libapparmor1/kali-rolling,now 2.13.4-3 amd64 [installed]
libapt-pkg6.0/kali-rolling,now 2.1.10 amd64 [installed]
libarchive-cpio-perl/kali-rolling,now 0.10-1 all [installed,auto-removable]
libarchive-zip-perl/kali-rolling,now 1.68-1 all [installed,auto-removable]
libargon2-1/kali-rolling,now 0~20171227-0.2 amd64 [installed]
libasan6/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libassuan0/kali-rolling,now 2.5.3-7.1 amd64 [installed,automatic]
libatomic1/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libattr1/kali-rolling,now 1:2.4.48-5 amd64 [installed]
libaudit-common/kali-rolling,now 1:2.8.5-3 all [installed]
libaudit1/kali-rolling,now 1:2.8.5-3+b1 amd64 [installed]
libbinutils/kali-rolling,now 2.35-3 amd64 [installed,automatic]
libblas3/kali-rolling,now 3.9.0-3 amd64 [installed,automatic]
libblkid1/kali-rolling,now 2.36-3+b1 amd64 [installed]
libbrotli1/kali-rolling,now 1.0.9-2 amd64 [installed,automatic]
libbsd0/kali-rolling,now 0.10.0-1 amd64 [installed]
libbz2-1.0/kali-rolling,now 1.0.8-4 amd64 [installed]
libc-bin/kali-rolling,now 2.31-3 amd64 [installed]
libc-dev-bin/kali-rolling,now 2.31-3 amd64 [installed,automatic]
libc-l10n/kali-rolling,now 2.31-3 all [installed,automatic]
libc6-dev/kali-rolling,now 2.31-3 amd64 [installed,automatic]
libc6/kali-rolling,now 2.31-3 amd64 [installed]
libcairo2/kali-rolling,now 1.16.0-4 amd64 [installed,automatic]
libcap-ng0/kali-rolling,now 0.7.9-2.2 amd64 [installed]
libcap2-bin/kali-rolling,now 1:2.43-1 amd64 [installed]
libcap2/kali-rolling,now 1:2.43-1 amd64 [installed]
libcbor0/kali-rolling,now 0.5.0+dfsg-2 amd64 [installed,automatic]
libcc1-0/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libcom-err2/kali-rolling,now 1.45.6-1 amd64 [installed]
libcroco3/kali-rolling,now 0.6.13-1 amd64 [installed,automatic]
libcrypt-dev/kali-rolling,now 1:4.4.17-1 amd64 [installed,automatic]
libcrypt1/kali-rolling,now 1:4.4.17-1 amd64 [installed]
libcryptsetup12/kali-rolling,now 2:2.3.4-1 amd64 [installed]
libctf-nobfd0/kali-rolling,now 2.35-3 amd64 [installed,automatic]
libctf0/kali-rolling,now 2.35-3 amd64 [installed,automatic]
libcurl3-gnutls/kali-rolling,now 7.72.0-1 amd64 [installed,automatic]
libcurl4/kali-rolling,now 7.72.0-1 amd64 [installed,automatic]
libdb5.3/kali-rolling,now 5.3.28+dfsg1-0.6 amd64 [installed]
libdbus-1-3/kali-rolling,now 1.12.20-1 amd64 [installed,automatic]
libdebconfclient0/kali-rolling,now 0.253 amd64 [installed]
libdebhelper-perl/kali-rolling,now 13.2.1 all [installed,auto-removable]
libdevmapper1.02.1/kali-rolling,now 2:1.02.171-3 amd64 [installed]
libdns-export1110/kali-rolling,now 1:9.11.19+dfsg-1 amd64 [installed]
libdpkg-perl/kali-rolling,now 1.20.5kali2 all [installed,automatic]
libedit2/kali-rolling,now 3.1-20191231-1 amd64 [installed,automatic]
libelf1/kali-rolling,now 0.180-1+b1 amd64 [installed]
liberror-perl/kali-rolling,now 0.17029-1 all [installed,automatic]
libestr0/kali-rolling,now 0.1.10-2.1+b1 amd64 [installed]
libexpat1/kali-rolling,now 2.2.9-1 amd64 [installed,automatic]
libext2fs2/kali-rolling,now 1.45.6-1 amd64 [installed]
libfakeroot/kali-rolling,now 1.24-1 amd64 [installed,automatic]
libfastjson4/kali-rolling,now 0.99.8-2 amd64 [installed]
libfdisk1/kali-rolling,now 2.36-3+b1 amd64 [installed]
libffi7/kali-rolling,now 3.3-4 amd64 [installed]
libfido2-1/kali-rolling,now 1.4.0-2 amd64 [installed,automatic]
libfile-fcntllock-perl/kali-rolling,now 0.22-3+b6 amd64 [installed,automatic]
libfile-stripnondeterminism-perl/kali-rolling,now 1.9.0-1 all [installed,auto-removable]
libfontconfig1/kali-rolling,now 2.13.1-4.2 amd64 [installed,automatic]
libfreetype6/kali-rolling,now 2.10.2+dfsg-3 amd64 [installed,automatic]
libfstrm0/kali-rolling,now 0.6.0-1+b1 amd64 [installed,automatic]
libgcc-10-dev/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libgcc-s1/kali-rolling,now 10.2.0-7 amd64 [installed]
libgcrypt20/kali-rolling,now 1.8.6-2 amd64 [installed]
libgdbm-compat4/kali-rolling,now 1.18.1-5.1 amd64 [installed,automatic]
libgdbm6/kali-rolling,now 1.18.1-5.1 amd64 [installed,automatic]
libglib2.0-0/kali-rolling,now 2.64.4-1 amd64 [installed,automatic]
libglib2.0-data/kali-rolling,now 2.64.4-1 all [installed,automatic]
libgmp10/kali-rolling,now 2:6.2.0+dfsg-6 amd64 [installed]
libgnutls30/kali-rolling,now 3.6.14-2+b1 amd64 [installed]
libgomp1/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libgpg-error0/kali-rolling,now 1.38-2 amd64 [installed]
libgssapi-krb5-2/kali-rolling,now 1.17-10 amd64 [installed,automatic]
libhogweed5/now 3.5.1+really3.5.1-2 amd64 [installed,local]
libhogweed6/kali-rolling,now 3.6-2 amd64 [installed,automatic]
libhwloc-plugins/kali-rolling,now 2.2.0+dfsg-4 amd64 [installed,automatic]
libhwloc15/kali-rolling,now 2.2.0+dfsg-4 amd64 [installed,automatic]
libicu67/kali-rolling,now 67.1-4 amd64 [installed,automatic]
libidn2-0/kali-rolling,now 2.3.0-1 amd64 [installed]
libip4tc2/kali-rolling,now 1.8.5-3 amd64 [installed]
libip6tc2/kali-rolling,now 1.8.5-3 amd64 [installed]
libisc-export1105/kali-rolling,now 1:9.11.19+dfsg-1 amd64 [installed]
libisl22/kali-rolling,now 0.22.1-1 amd64 [installed,automatic]
libitm1/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libiw30/kali-rolling,now 30~pre9-13.1 amd64 [installed,automatic]
libjson-c4/kali-rolling,now 0.13.1+dfsg-9 amd64 [installed]
libjson-c5/kali-rolling,now 0.15-1 amd64 [installed,automatic]
libk5crypto3/kali-rolling,now 1.17-10 amd64 [installed,automatic]
libkeyutils1/kali-rolling,now 1.6.1-2 amd64 [installed,automatic]
libkmod2/kali-rolling,now 27+20200310-2 amd64 [installed]
libkrb5-3/kali-rolling,now 1.17-10 amd64 [installed,automatic]
libkrb5support0/kali-rolling,now 1.17-10 amd64 [installed,automatic]
libksba8/kali-rolling,now 1.4.0-2 amd64 [installed,automatic]
libldap-2.4-2/kali-rolling,now 2.4.53+dfsg-1 amd64 [installed,automatic]
libldap-common/kali-rolling,now 2.4.53+dfsg-1 all [installed,automatic]
liblinear4/kali-rolling,now 2.3.0+dfsg-4 amd64 [installed,automatic]
liblmdb0/kali-rolling,now 0.9.24-1 amd64 [installed,automatic]
liblocale-gettext-perl/kali-rolling,now 1.07-4 amd64 [installed]
liblognorm5/kali-rolling,now 2.0.5-1.1 amd64 [installed]
liblsan0/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libltdl-dev/kali-rolling,now 2.4.6-14 amd64 [installed,automatic]
libltdl7/kali-rolling,now 2.4.6-14 amd64 [installed,automatic]
liblua5.3-0/kali-rolling,now 5.3.3-1.1+b1 amd64 [installed,automatic]
liblz4-1/kali-rolling,now 1.9.2-2 amd64 [installed]
liblzma5/kali-rolling,now 5.2.4-1+b1 amd64 [installed]
libmagic-mgc/kali-rolling,now 1:5.38-5 amd64 [installed,automatic]
libmagic1/kali-rolling,now 1:5.38-5 amd64 [installed,automatic]
libmail-sendmail-perl/kali-rolling,now 0.80-1 all [installed,auto-removable]
libmaxminddb0/kali-rolling,now 1.3.2-1 amd64 [installed,automatic]
libmnl0/kali-rolling,now 1.0.4-3 amd64 [installed]
libmount1/kali-rolling,now 2.36-3+b1 amd64 [installed]
libmpc3/kali-rolling,now 1.2.0-1 amd64 [installed,automatic]
libmpfr6/kali-rolling,now 4.1.0-3 amd64 [installed,automatic]
libncurses6/kali-rolling,now 6.2-1 amd64 [installed]
libncursesw6/kali-rolling,now 6.2-1 amd64 [installed]
libnetfilter-conntrack3/kali-rolling,now 1.0.8-1 amd64 [installed]
libnettle7/now 3.5.1+really3.5.1-2 amd64 [installed,local]
libnettle8/kali-rolling,now 3.6-2 amd64 [installed,automatic]
libnewt0.52/kali-rolling,now 0.52.21-4+b1 amd64 [installed]
libnfnetlink0/kali-rolling,now 1.0.1-3+b1 amd64 [installed]
libnftnl11/kali-rolling,now 1.1.7-1 amd64 [installed]
libnghttp2-14/kali-rolling,now 1.41.0-3 amd64 [installed,automatic]
libnl-3-200/kali-rolling,now 3.4.0-1+b1 amd64 [installed,automatic]
libnl-genl-3-200/kali-rolling,now 3.4.0-1+b1 amd64 [installed,automatic]
libnpth0/kali-rolling,now 1.6-2 amd64 [installed,automatic]
libp11-kit0/kali-rolling,now 0.23.21-2 amd64 [installed]
libpam-modules-bin/kali-rolling,now 1.3.1-5 amd64 [installed]
libpam-modules/kali-rolling,now 1.3.1-5 amd64 [installed]
libpam-runtime/kali-rolling,now 1.3.1-5 all [installed]
libpam0g/kali-rolling,now 1.3.1-5 amd64 [installed]
libpcap0.8/kali-rolling,now 1.9.1-4 amd64 [installed,automatic]
libpciaccess0/kali-rolling,now 0.16-1 amd64 [installed,automatic]
libpcre2-8-0/kali-rolling,now 10.34-7 amd64 [installed]
libpcre3/kali-rolling,now 2:8.39-13 amd64 [installed]
libperl5.30/kali-rolling,now 5.30.3-4 amd64 [installed,automatic]
libpipeline1/kali-rolling,now 1.5.3-1 amd64 [installed,automatic]
libpixman-1-0/kali-rolling,now 0.36.0-1 amd64 [installed,automatic]
libpng16-16/kali-rolling,now 1.6.37-3 amd64 [installed,automatic]
libpopt0/kali-rolling,now 1.18-1 amd64 [installed]
libprocps8/kali-rolling,now 2:3.3.16-5 amd64 [installed]
libprotobuf-c1/kali-rolling,now 1.3.3-1+b2 amd64 [installed,automatic]
libpsl5/kali-rolling,now 0.21.0-1.1 amd64 [installed,automatic]
libquadmath0/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libreadline8/kali-rolling,now 8.0-4 amd64 [installed]
librtmp1/kali-rolling,now 2.4+20151223.gitfa8646d.1-2+b2 amd64 [installed,automatic]
libsasl2-2/kali-rolling,now 2.1.27+dfsg-2 amd64 [installed,automatic]
libsasl2-modules-db/kali-rolling,now 2.1.27+dfsg-2 amd64 [installed,automatic]
libsasl2-modules/kali-rolling,now 2.1.27+dfsg-2 amd64 [installed,automatic]
libseccomp2/kali-rolling,now 2.4.3-1+b1 amd64 [installed]
libselinux1/kali-rolling,now 3.1-2 amd64 [installed]
libsemanage-common/kali-rolling,now 3.1-1 all [installed]
libsemanage1/kali-rolling,now 3.1-1 amd64 [installed]
libsepol1/kali-rolling,now 3.1-1 amd64 [installed]
libsigsegv2/kali-rolling,now 2.12-2 amd64 [installed,automatic]
libslang2/kali-rolling,now 2.3.2-5 amd64 [installed]
libsmartcols1/kali-rolling,now 2.36-3+b1 amd64 [installed]
libsqlite3-0/kali-rolling,now 3.33.0-1 amd64 [installed,automatic]
libss2/kali-rolling,now 1.45.6-1 amd64 [installed]
libssh2-1/kali-rolling,now 1.8.0-2.1 amd64 [installed,automatic]
libssl1.1/kali-rolling,now 1.1.1g-1 amd64 [installed]
libstdc++-10-dev/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libstdc++6/kali-rolling,now 10.2.0-7 amd64 [installed]
libsub-override-perl/kali-rolling,now 0.09-2 all [installed,auto-removable]
libsys-hostname-long-perl/kali-rolling,now 1.5-1 all [installed,auto-removable]
libsystemd0/kali-rolling,now 246.2-1 amd64 [installed]
libtasn1-6/kali-rolling,now 4.16.0-2 amd64 [installed]
libtext-charwidth-perl/kali-rolling,now 0.04-10 amd64 [installed]
libtext-iconv-perl/kali-rolling,now 1.7-7 amd64 [installed]
libtext-wrapi18n-perl/kali-rolling,now 0.06-9 all [installed]
libtinfo6/kali-rolling,now 6.2-1 amd64 [installed]
libtool/kali-rolling,now 2.4.6-14 all [installed,automatic]
libtsan0/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libubsan1/kali-rolling,now 10.2.0-7 amd64 [installed,automatic]
libuchardet0/kali-rolling,now 0.0.7-1 amd64 [installed,automatic]
libudev1/kali-rolling,now 246.2-1 amd64 [installed]
libunistring2/kali-rolling,now 0.9.10-4 amd64 [installed]
libusb-1.0-0/kali-rolling,now 2:1.0.23-2 amd64 [installed,automatic]
libuuid1/kali-rolling,now 2.36-3+b1 amd64 [installed]
libuv1/kali-rolling,now 1.39.0-1 amd64 [installed,automatic]
libx11-6/kali-rolling,now 2:1.6.12-1 amd64 [installed,automatic]
libx11-data/kali-rolling,now 2:1.6.12-1 all [installed,automatic]
libxau6/kali-rolling,now 1:1.0.8-1+b2 amd64 [installed,automatic]
libxcb-render0/kali-rolling,now 1.14-2 amd64 [installed,automatic]
libxcb-shm0/kali-rolling,now 1.14-2 amd64 [installed,automatic]
libxcb1/kali-rolling,now 1.14-2 amd64 [installed,automatic]
libxdmcp6/kali-rolling,now 1:1.1.2-3 amd64 [installed,automatic]
libxext6/kali-rolling,now 2:1.3.3-1+b2 amd64 [installed,automatic]
libxml2/kali-rolling,now 2.9.10+dfsg-6 amd64 [installed,automatic]
libxmuu1/kali-rolling,now 2:1.1.2-2+b3 amd64 [installed,automatic]
libxnvctrl0/kali-rolling,now 450.66-1 amd64 [installed,automatic]
libxrender1/kali-rolling,now 1:0.9.10-1 amd64 [installed,automatic]
libxtables12/kali-rolling,now 1.8.5-3 amd64 [installed]
libzstd1/kali-rolling,now 1.4.5+dfsg-4 amd64 [installed]
linux-libc-dev/kali-rolling,now 5.8.10-1kali1 amd64 [installed,automatic]
locales-all/kali-rolling,now 2.31-3 amd64 [installed]
login/kali-rolling,now 1:4.8.1-1 amd64 [installed]
logrotate/kali-rolling,now 3.16.0-3 amd64 [installed]
logsave/kali-rolling,now 1.45.6-1 amd64 [installed]
lsb-base/kali-rolling,now 11.1.0 all [installed]
lua-lpeg/kali-rolling,now 1.0.2-1 amd64 [installed,automatic]
m4/kali-rolling,now 1.4.18-4 amd64 [installed,automatic]
make/kali-rolling,now 4.3-4 amd64 [installed,automatic]
man-db/kali-rolling,now 2.9.3-2 amd64 [installed,automatic]
manpages-dev/kali-rolling,now 5.08-1 all [installed,automatic]
manpages/kali-rolling,now 5.08-1 all [installed,automatic]
mawk/kali-rolling,now 1.3.4.20200120-2 amd64 [installed]
mlocate/kali-rolling,now 0.26-3+b1 amd64 [installed]
mount/kali-rolling,now 2.36-3+b1 amd64 [installed]
nano/kali-rolling,now 5.2-1 amd64 [installed]
ncal/kali-rolling,now 12.1.7 amd64 [installed,automatic]
ncurses-base/kali-rolling,now 6.2-1 all [installed]
ncurses-bin/kali-rolling,now 6.2-1 amd64 [installed]
net-tools/kali-rolling,now 1.60+git20180626.aebd88e-1 amd64 [installed]
netbase/kali-rolling,now 6.1 all [installed]
nmap-common/kali-rolling,now 7.80+dfsg1-5kali1 all [installed,automatic]
nmap/kali-rolling,now 7.80+dfsg1-5kali1 amd64 [installed]
ocl-icd-libopencl1/kali-rolling,now 2.2.12-4 amd64 [installed,automatic]
openssh-client/kali-rolling,now 1:8.3p1-1 amd64 [installed,automatic]
openssl/kali-rolling,now 1.1.1g-1 amd64 [installed,automatic]
passwd/kali-rolling,now 1:4.8.1-1 amd64 [installed]
patch/kali-rolling,now 2.7.6-6 amd64 [installed,automatic]
perl-base/kali-rolling,now 5.30.3-4 amd64 [installed]
perl-modules-5.30/kali-rolling,now 5.30.3-4 all [installed,automatic]
perl/kali-rolling,now 5.30.3-4 amd64 [installed,automatic]
pinentry-curses/kali-rolling,now 1.1.0-4 amd64 [installed,automatic]
po-debconf/kali-rolling,now 1.0.21 all [installed,auto-removable]
procps/kali-rolling,now 2:3.3.16-5 amd64 [installed]
publicsuffix/kali-rolling,now 20200729.1725-1 all [installed,automatic]
readline-common/kali-rolling,now 8.0-4 all [installed]
rfkill/kali-rolling,now 2.36-3+b1 amd64 [installed,automatic]
rsyslog/kali-rolling,now 8.2008.0-1 amd64 [installed]
sed/kali-rolling,now 4.7-1 amd64 [installed]
sensible-utils/kali-rolling,now 0.0.12+nmu1 all [installed]
shared-mime-info/kali-rolling,now 1.15-1 amd64 [installed,automatic]
sipcalc/kali-rolling,now 1.1.6-1+b1 amd64 [installed]
sudo/kali-rolling,now 1.9.1-2 amd64 [installed]
systemd-sysv/kali-rolling,now 246.2-1 amd64 [installed]
systemd-timesyncd/kali-rolling,now 246.2-1 amd64 [installed]
systemd/kali-rolling,now 246.2-1 amd64 [installed]
sysvinit-utils/kali-rolling,now 2.96-5 amd64 [installed]
tar/kali-rolling,now 1.30+dfsg-7 amd64 [installed]
tzdata/kali-rolling,now 2020a-1 all [installed]
ucf/kali-rolling,now 3.0043 all [installed,automatic]
udev/kali-rolling,now 246.2-1 amd64 [installed]
usb.ids/kali-rolling,now 2020.08.26-1 all [installed,automatic]
usbutils/kali-rolling,now 1:012-2 amd64 [installed,automatic]
util-linux/kali-rolling,now 2.36-3+b1 amd64 [installed]
vim-common/kali-rolling,now 2:8.2.0716-3 all [installed]
vim-tiny/kali-rolling,now 2:8.2.0716-3 amd64 [installed]
wget/kali-rolling,now 1.20.3-1+b3 amd64 [installed]
whiptail/kali-rolling,now 0.52.21-4+b1 amd64 [installed]
whois/kali-rolling,now 5.5.6 amd64 [installed]
wireless-regdb/kali-rolling,now 2020.04.29-2 all [installed,automatic]
wireless-tools/kali-rolling,now 30~pre9-13.1 amd64 [installed,automatic]
xauth/kali-rolling,now 1:1.0.10-1 amd64 [installed,automatic]
xdg-user-dirs/kali-rolling,now 0.17-2 amd64 [installed,automatic]
xxd/kali-rolling,now 2:8.2.0716-3 amd64 [installed]
xz-utils/kali-rolling,now 5.2.4-1+b1 amd64 [installed,automatic]
zlib1g/kali-rolling,now 1:1.2.11.dfsg-2 amd64 [installed]

I am new to all of this so please pardon my mistakes


what i just want is to be able to see wlan0


If i am wrong please correct me

4
  • WSL2 (forget about WSL1) is like a VM. Did you do any step, on Windows, not Linux, to ensure this VM-like thing inherits the Wifi interface? Which step, I wouldn't know. For example the eth0 you have is not your real ethernet interface either. Its MAC address tells it belongs to Microsoft, not to the hardware manufacturer of the possible ethernet card you have on your system.
    – A.B
    Commented Sep 26, 2020 at 15:13
  • @A.B how can i do this Commented Sep 26, 2020 at 15:14
  • I'd say don't ask on a Unix/Linux site. Ask on a Windows site
    – A.B
    Commented Sep 26, 2020 at 15:15
  • @A.B thank , you for the advice Commented Sep 26, 2020 at 15:17

3 Answers 3

3

This isn't going to work. As A.B. mentioned, WSL virtualizes the hardware and provides virtual network interfaces that let you send packets, but don't let you put the hardware wireless card into monitor mode like in a real Linux distro. WSL 2 is essentially a very fast-booting VM and works like any other VM. VMs don't generally let you control the real network hardware because that usually requires sending PCI commands and that has the potential for fun security consequences.

If you want to control the hardware like this, you'll need a real Linux distro working on real hardware.

2

I suggest you to use a USB wireless adapter, and then use USBIPD.

Open a powershell and install it with this command:

winget install usbipd

You can use your wireless adapter as a physically plugged hardware in WSL.

dorssel/usbipd-win

0

So yes it virtualises the hardware for the WSL container, however where as you can passthrough the interfaces in a standard t2 hypervisor, WSL seems to be missing this. I am going to continue hunting to see if this stands up.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .